---
title: "Running a node"
---

# Run A Node With A Binary

You need ~10 GB of free disk space to run a Wownero node.
SSD is not necessary but syncing will be much faster compared to hard disk.

1. Download and extract the latest [Wownero release](https://git.wownero.com/wownero/wownero/releases)
2. Double-click or run `wownerod`. If you are on Linux, you might have to allow execution of the daemon: `chmod +x ./wownerod`

Wait for sync, and that's it! You're now running a Wownero node.

The RPC port will be available at 34568

# Run A Node With Docker

A container image with `wownerod` is available in a few places:

A trusted and up to date one is hosted by [lalanza808/wownero](https://hub.docker.com/u/lalanza808). Run it like so:

`docker run --rm -it -p 34568 -v ~/.wownero:/data/ lalanza808/wownero:v0.11.1.0 wownerod --data-dir /data`

# Run A Node With Docker-Compose And Dashboards

`lza_menace` has a project which packages open source monitoring tools Prometheus and Grafana along with some custom metrics exporters to give a whole dashboard of node and network usage.

It looks like this: 

![](https://git.cloud.lzahq.tech/nerodev/docker-wownero/raw/branch/master/files/static/graf1.png)
![](https://git.cloud.lzahq.tech/nerodev/docker-wownero/raw/branch/master/files/static/graf2.png)

See the repo here and follow the instructions: https://git.cloud.lzahq.tech/nerodev/docker-wownero